package com.bocloud.ims.service.resource.hmc;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * nim config from config file
 * 
 * @author lkx007
 *
 */
@Component("nimServerConfig")
public class HmcNimServerConfig {

	/**
	 * nim server ip
	 */
	@Value("${nim.server.host:127.0.0.1}")
	private String hostname;
	/**
	 * nim server ssh port
	 */
	@Value("${nim.server.port:22}")
	private Integer port;
	/**
	 * nim server ssh username
	 */
	@Value("${nim.server.username:root}")
	private String username;
	/**
	 * nim server ssh password
	 */
	@Value("${nim.server.password:password}")
	private String password;
	/**
	 * nim server network name
	 */
	@Value("${nim.server.network:nimnet0}")
	private String network;
	/**
	 * nim server bosinst
	 */
	@Value("${nim.server.bosinst_data:powerha61-bosinst}")
	private String bosinst;
	/**
	 * nim server lpp_source
	 */
	@Value("${nim.server.lpp_source:}")
	private String lppSource;
	/**
	 * nim server lpp_source
	 */
	@Value("${nim.server.mksysb:powerha61-sysb}")
	private String mksysb;
	/**
	 * nim server spot
	 */
	@Value("${nim.server.spot:powerha61-spot}")
	private String spot;

	/**
	 * @return the hostname
	 */
	public String getHostname() {
		return hostname;
	}

	/**
	 * @param hostname
	 *            the hostname to set
	 */
	public void setHostname(String hostname) {
		this.hostname = hostname;
	}

	/**
	 * @return the port
	 */
	public Integer getPort() {
		return port;
	}

	/**
	 * @param port
	 *            the port to set
	 */
	public void setPort(Integer port) {
		this.port = port;
	}

	/**
	 * @return the username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * @param username
	 *            the username to set
	 */
	public void setUsername(String username) {
		this.username = username;
	}

	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password
	 *            the password to set
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return the network
	 */
	public String getNetwork() {
		return network;
	}

	/**
	 * @param network
	 *            the network to set
	 */
	public void setNetwork(String network) {
		this.network = network;
	}

	/**
	 * @return the bosinst
	 */
	public String getBosinst() {
		return bosinst;
	}

	/**
	 * @param bosinst
	 *            the bosinst to set
	 */
	public void setBosinst(String bosinst) {
		this.bosinst = bosinst;
	}

	/**
	 * @return the lppSource
	 */
	public String getLppSource() {
		return lppSource;
	}

	/**
	 * @param lppSource
	 *            the lppSource to set
	 */
	public void setLppSource(String lppSource) {
		this.lppSource = lppSource;
	}

	/**
	 * @return the spot
	 */
	public String getSpot() {
		return spot;
	}

	/**
	 * @param spot
	 *            the spot to set
	 */
	public void setSpot(String spot) {
		this.spot = spot;
	}

	public String getMksysb() {
		return mksysb;
	}

	public void setMksysb(String mksysb) {
		this.mksysb = mksysb;
	}
}
